# Package org.osgi.annotation.bundle

@Version("2.0") package org.osgi.annotation.bundle
OSGi Bundle Annotations Package Version 2.0.

This package is not used at runtime.

Class
Description
Attribute
Mark an annotation element as an attribute.
Capabilities
Container annotation for repeated `Capability` annotations.
Capability
Define a capability for a bundle.
Directive
Mark an annotation element as a directive.
Export
Mark a package to be exported from its bundle.
Export.Substitution
Substitution policy for this package.
Header
Define a manifest header for a bundle.
Headers
Container annotation for repeated `Header` annotations.
Referenced
Mark types as referenced.
Requirement
Define a requirement for a bundle.
Requirement.Cardinality
Cardinality for this requirement.
Requirement.Resolution
Resolution for this requirement.
Requirements
Container annotation for repeated `Requirement` annotations.